<template>
  <li class="grid grid-cols-2">
    <div class="text-align-middle display-time">{{ $t("display_time") }}</div>
    <el-select
      @change="onChangeSelect"
      @blur="onChangeSelect"
      @visible-change="onVisibleChange"
      v-model="selected"
      class=""
    >
      <el-option
        v-for="timeZone in timeZoneOptions"
        :key="timeZone.value"
        :label="timeZone.label"
        :value="timeZone.value"
      />
    </el-select>
  </li>
  <li class="acc-info grid grid-cols-1">
    <el-button
      class="update-profile-btn"
      :disabled="isInProgress"
      v-on:click="updatePreference"
      type="primary"
      round
    >
      {{ $t("submit") }}
    </el-button>
  </li>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const { selected, isInProgress, updatePreference, timeZoneOptions } =
      usePreference();
    const { onChangeSelect, onVisibleChange } = commonHelper;
    return {
      selected,
      isInProgress,
      updatePreference,
      timeZoneOptions,
      onChangeSelect,
      onVisibleChange,
    };
  },
});
</script>
<style scoped>
@media (max-width: 636px) {
  .acc-info {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .acc-info .el-button {
    width: 120px;
  }
}
</style>
